commit:     42b4cf85c503f98ebd97020cb451bd86aaa339ab
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sun Oct 28 14:37:56 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  3 21:58:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42b4cf85

net-im/libcommuni: bump to version 3.5.0_p20180116

Also bumped to EAPI=7.

Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/libcommuni/Manifest                         |  1 +
 .../libcommuni/libcommuni-3.5.0_p20180116.ebuild   | 76 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/net-im/libcommuni/Manifest b/net-im/libcommuni/Manifest
index 3adc4146f91..8f4a37519e0 100644
--- a/net-im/libcommuni/Manifest
+++ b/net-im/libcommuni/Manifest
@@ -1 +1,2 @@
 DIST libcommuni-3.5.0.tar.gz 646734 BLAKE2B 
81e2c783625a0befe2d364423e862967bc76e8a66e9b5d7f2f94f46f46530d54b030bfd3a48d7877532092c607295cff5a77ecd8bb669112d53507a1ea18c5b0
 SHA512 
4d62f7e5edd32b9121f2b69d15a4022ad5d6cf7136dc48d0a1ca4bd413b3334533d7734d6939906fa3426f8db9bc255696107ecada19875c60ce59990b54dee4
+DIST libcommuni-3.5.0_p20180116.tar.gz 471286 BLAKE2B 
9f89a5eea2444c207b54f6b820c7cef89ff2e578d34ad751fdbfe558af2bcf0e52238ef63b244fb321baa7716c0119ca084c547cc0161a08b46af4c9d604dd0e
 SHA512 
f7ce9c92acbd67b3d75b9b7fc1cef55796a3d44294024da591c7b0c21fc065ec484dbc6a4c83af96fcb6fd6e725a7b6ed4219bd09e2aa0de303b82d64741efba

diff --git a/net-im/libcommuni/libcommuni-3.5.0_p20180116.ebuild 
b/net-im/libcommuni/libcommuni-3.5.0_p20180116.ebuild
new file mode 100644
index 00000000000..2507c14514a
--- /dev/null
+++ b/net-im/libcommuni/libcommuni-3.5.0_p20180116.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+MY_PV="d3e388de9a146faad3277b46e480b0f1415f9a24"
+
+inherit qmake-utils
+
+DESCRIPTION="A cross-platform IRC framework written with Qt"
+HOMEPAGE="http://communi.github.io/";
+SRC_URI="https://github.com/communi/${PN}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="qml test +uchardet"
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       uchardet? ( app-i18n/uchardet )
+       !uchardet? ( dev-libs/icu:= )
+       "
+
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-qt/qttest:5 )
+"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+       default
+
+       # Currently the test tst_IrcLagTimer fails, so disabling
+       # See: https://github.com/communi/libcommuni/issues/63
+       sed -e '/irclagtimer/d' -i tests/auto/auto.pro || die
+}
+
+src_configure() {
+       local myqmakeargs=( libcommuni.pro
+               # Disables compile run-time benchmarks, as they don't make any 
sense
+               -config no_benchmarks
+               # Disables examples, as no new files are installed
+               -config no_examples
+               # Is needed for fixing the QA Notice: The following files 
contain insecure RUNPATHs
+               -config no_rpath
+               # Compile libcommuni always in Release mode, as Debug seems to 
do nothing
+               -config release
+               # Don't silence all compile messages
+               -config verbose
+               -config $(usex qml '' 'no_')install_imports
+               -config $(usex qml '' 'no_')install_qml
+               -config $(usex test '' 'no_')tests
+               -config $(usex uchardet 'no_' '')icu
+               -config $(usex uchardet '' 'no_')uchardet )
+
+       eqmake5 "${myqmakeargs[@]}"
+}
+
+src_test() {
+       # This is a hack to delete the existing LD_LIBRARY_PATH and set a new 
one,
+       # otherwise a test will fail, because it uses the system installed lib 
instead of the new compiled lib.
+       # The test will fail, when libcommuni is emerged with USE="uchardet" and
+       # libcommuni is already installed with USE="-uchardat", or the other 
way around.
+       find "${S}" -type f -name 'target_wrapper.sh' -exec sed -i -e 
"/.*LD_LIBRARY_PATH.*/d" {} \; || die
+       local -x LD_LIBRARY_PATH="${S}/lib"
+
+       default
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+       einstalldocs
+}

Reply via email to